## org.ascape.util.data
Class StatCollectorCondCSAMM

    java.lang.Object
      org.ascape.util.data.StatCollector
          org.ascape.util.data.StatCollectorCSA
              org.ascape.util.data.StatCollectorCSAMM
                  org.ascape.util.data.StatCollectorCondCSAMM

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable, Conditional, DataPoint, HasName

    public abstract class StatCollectorCondCSAMM

extends StatCollectorCSAMM
implements Conditional

Stores conditional aggregate data for values conditionally obtained for a statistic, including running sum, average, minimum and maximum.

Since:
  1.0
Version:
  1.2
Author:
  Miles Parker
See Also:
  `StatCollector`, `StatCollectorCond`, Serialized Form

Field Summary

Fields inherited from class org.ascape.util.data.StatCollectorCSA
`sum`

Fields inherited from class org.ascape.util.data.StatCollector
`allMeasureNames, allMeasureNamesShort, autoCollect, COLLECTING, count, name, NOT_COLLECTING, SET_BY_DATAGROUP`

Constructor Summary
`StatCollectorCondCSAMM()` Constructs a new StatCollectorCondCSAMM.
`StatCollectorCondCSAMM(java.lang.String name)` Constructs a new StatCollectorCondCSAMM.
`StatCollectorCondCSAMM(java.lang.String name, boolean autoCollect)` Constructs a new StatCollectorCondCSAMM.

Method Summary
`void` `addValueFor(java.lang.Object object)` Add value to stat calculation for this object if condition met.

Methods inherited from class org.ascape.util.data.StatCollectorCSAMM
`addValue, clear, getMax, getMin`

Methods inherited from class org.ascape.util.data.StatCollectorCSA
`getAvg, getSum, getTotal`

Methods inherited from class org.ascape.util.data.StatCollector
`calculateCollection, calculateIterator, calculateValue, compareTo, createDataSeries, getAllDataSeries, getAllMeasureNames, getAllMeasureNamesShort, getCollectingLongitudinalDataMode, getCount, getDataGroup, getDataSeries, getName, getValue, isAutoCollect, isCalculated, isCollectingLongitudinalData, isPhase2, setAutoCollect, setCollectingLongitudinalDataMode, setDataGroup, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ascape.util.Conditional
`meetsCondition`

Constructor Detail

### StatCollectorCondCSAMM

    public StatCollectorCondCSAMM()

  Constructs a new StatCollectorCondCSAMM.

### StatCollectorCondCSAMM

    public StatCollectorCondCSAMM(java.lang.String name,
                                  boolean autoCollect)

  Constructs a new StatCollectorCondCSAMM.

  Parameters:
    `name` - the name of the stat collector.
    `autoCollect` - should the stat be collected automatically?

### StatCollectorCondCSAMM

    public StatCollectorCondCSAMM(java.lang.String name)

  Constructs a new StatCollectorCondCSAMM. (Automatic by default.)

  Parameters:
    `name` - the name of the stat collector.

Method Detail

### addValueFor

    public void addValueFor(java.lang.Object object)

  Add value to stat calculation for this object if condition met.

  Overrides:
    `addValueFor` in class `StatCollector`